setwd("/Users/Kristian/Kristian/Dropbox/Studier/9. semester/Prosjektoppgave/Prosjektoppgave shared/Master Thesis/Model/Data")
plotDir <- "/Users/Kristian/Kristian/Dropbox/Studier/9. semester/Prosjektoppgave/Prosjektoppgave shared/Master Thesis/Model/Data/Plots"

### LOAD DATA ###
df <- read.csv(paste(getwd(), "/Database_Master_Monthly_2017-05-06_01a.csv", sep=""), stringsAsFactors=F)
df[,1] <- as.Date(df[,1], format="%d/%m/%Y")

### PARAMETRIZATION ###
minDate <- as.Date("2005-01-01")
maxDate <- as.Date("2017-01-31")

df <- df[df[,1] >= minDate & df[,1] <= maxDate,]

excludeVector <- c("norwegianexports_norgessjomatrad", "forward.eur.Xm_fishpool")
df <- df[,!(colnames(df) %in% excludeVector)]
colnames(df)[1] <- "date"
dates <- df[,1]

# Convert to numerics
for (i in 2:dim(df)[2]) {
  df[,i] <- as.numeric(df[,i])
}


cexAxis <- 1.3
cexLab <- 1.3
cexMain <- 1.3
parMar <- c(5,5,5,5)


ncol <- 3
nrow <- (dim(df)[2] - dim(df)[2] %% 6)/6 + (dim(df)[2] %% 6 != 0)
pdf(paste(plotDir, "/time-series-comboplot-v2", ".pdf", sep=""), height=13,
    width=9, family = "Palatino")
xlim <- c(min(dates), max(dates))
dateAxt <- seq(min(dates), max(dates), by="year")
par(mfrow=c(nrow, ncol), mar=parMar, cex.axis=cexAxis, cex.lab=cexLab,
    cex.main=cexMain)
for (i in 2:dim(df)[2]) {
  plot(df[,i] ~ df[,1], type="l", lty=1, xlim=xlim, col="black", lwd=0.5, 
       xlab="Time", ylab=colnames(df)[i],
       main=bquote(bold(.(colnames(df)[i]))), xaxt="n", bty="n")
  axis(side=1, at=dateAxt, labels=format(dateAxt, '%Y'))
}
dev.off()